com.rscja.team.qcom.rs232utils

## Class UhfUartManage_qcom

- java.lang.Object
- - com.rscja.team.qcom.rs232utils.UhfUartManage_qcom

-     public class UhfUartManage_qcom
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UhfUartManage_qcom(java.lang.String uart, int baudRate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanReceiveData()`
    `boolean` | `close()`
    `UHFUrAxDataHandle` | `getUHFUrAxDataHandle()`
    `boolean` | `isOpen()`
    `boolean` | `open()`
    `byte[]` | `receiveData()`
    `boolean` | `sendData(byte[] data)`
    `void` | `setCheckGPIO(boolean isCheckGPIO)`
    `void` | `setConnectionStatusChangedListener(IConnectionStatusChangedListener connectionStatusChanged)`
    `void` | `setParse(boolean isParse)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UhfUartManage_qcom

          public UhfUartManage_qcom(java.lang.String uart,
                                    int baudRate)

  - ### Method Detail

    - #### setConnectionStatusChangedListener

          public void setConnectionStatusChangedListener(IConnectionStatusChangedListener connectionStatusChanged)

    - #### setCheckGPIO

          public void setCheckGPIO(boolean isCheckGPIO)

    - #### setParse

          public void setParse(boolean isParse)

    - #### open

          public boolean open()

    - #### close

          public boolean close()

    - #### sendData

          public boolean sendData(byte[] data)

    - #### receiveData

          public byte[] receiveData()

    - #### isOpen

          public boolean isOpen()

    - #### cleanReceiveData

          public void cleanReceiveData()

    - #### getUHFUrAxDataHandle

          public UHFUrAxDataHandle getUHFUrAxDataHandle()